org.richfaces.ui.model

## Class States

- java.lang.Object
- - org.richfaces.ui.model.States

- All Implemented Interfaces:
    java.io.Serializable, java.util.Map<java.lang.String,java.lang.Object>, State

      @KeepAlive
      public class States
      extends java.lang.Object
      implements State, java.io.Serializable

  Author:
    asmirnov
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `java.util.Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `States()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `boolean` | `containsKey(java.lang.Object key)`
    `boolean` | `containsValue(java.lang.Object value)`
    `java.util.Set<java.util.Map.Entry<java.lang.String,java.lang.Object>>` | `entrySet()`
    `java.lang.Object` | `get(java.lang.Object key)`
    `java.lang.String` | `getCurrentState()`
    `java.lang.String` | `getNavigation(java.lang.String outcome)`
    `boolean` | `isEmpty()`
    `java.util.Set<java.lang.String>` | `keySet()`
    `java.lang.Object` | `put(java.lang.String key, java.lang.Object value)`
    `void` | `putAll(java.util.Map<? extends java.lang.String,? extends java.lang.Object> t)`
    `java.lang.Object` | `remove(java.lang.Object key)`
    `void` | `setConfig(java.lang.String stateConfig)` HACK - bean property setter for a initialisation from faces-config.xml.
    `void` | `setCurrentState(java.lang.String name)`
    `void` | `setNavigation(java.lang.String outcome, java.lang.String navigation)`
    `void` | `setState(java.lang.String name, State state)`
    `void` | `setStates(States initial)` Copy all states from an initial state configuration.
    `int` | `size()`
    `java.util.Collection<java.lang.Object>` | `values()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### States

          public States()

  - ### Method Detail

    - #### setConfig

          public void setConfig(java.lang.String stateConfig)

      HACK - bean property setter for a initialisation from faces-config.xml.
      Parameters:
        `stateConfig` -

    - #### setStates

          public void setStates(States initial)

      Copy all states from an initial state configuration. Use to init state bean from faces-config.xml
      Parameters:
        `initial` -

    - #### setCurrentState

          public void setCurrentState(java.lang.String name)

    - #### getCurrentState

          public java.lang.String getCurrentState()

    - #### setState

          public void setState(java.lang.String name,
                      State state)

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `java.util.Map<java.lang.String,java.lang.Object>`

    - #### containsKey

          public boolean containsKey(java.lang.Object key)

      Specified by:
        `containsKey` in interface `java.util.Map<java.lang.String,java.lang.Object>`

    - #### containsValue

          public boolean containsValue(java.lang.Object value)

      Specified by:
        `containsValue` in interface `java.util.Map<java.lang.String,java.lang.Object>`

    - #### entrySet

          public java.util.Set<java.util.Map.Entry<java.lang.String,java.lang.Object>> entrySet()

      Specified by:
        `entrySet` in interface `java.util.Map<java.lang.String,java.lang.Object>`

    - #### get

          public java.lang.Object get(java.lang.Object key)

      Specified by:
        `get` in interface `java.util.Map<java.lang.String,java.lang.Object>`

    - #### getNavigation

          public java.lang.String getNavigation(java.lang.String outcome)

      Specified by:
        `getNavigation` in interface `State`

    - #### setNavigation

          public void setNavigation(java.lang.String outcome,
                           java.lang.String navigation)

      Specified by:
        `setNavigation` in interface `State`
      Parameters:
        `outcome` -
        `navigation` -
      See Also:
        `State.setNavigation(java.lang.String, java.lang.String)`

    - #### isEmpty

          public boolean isEmpty()

      Specified by:
        `isEmpty` in interface `java.util.Map<java.lang.String,java.lang.Object>`

    - #### keySet

          public java.util.Set<java.lang.String> keySet()

      Specified by:
        `keySet` in interface `java.util.Map<java.lang.String,java.lang.Object>`

    - #### put

          public java.lang.Object put(java.lang.String key,
                             java.lang.Object value)

      Specified by:
        `put` in interface `java.util.Map<java.lang.String,java.lang.Object>`

    - #### putAll

          public void putAll(java.util.Map<? extends java.lang.String,? extends java.lang.Object> t)

      Specified by:
        `putAll` in interface `java.util.Map<java.lang.String,java.lang.Object>`

    - #### remove

          public java.lang.Object remove(java.lang.Object key)

      Specified by:
        `remove` in interface `java.util.Map<java.lang.String,java.lang.Object>`

    - #### size

          public int size()

      Specified by:
        `size` in interface `java.util.Map<java.lang.String,java.lang.Object>`

    - #### values

          public java.util.Collection<java.lang.Object> values()

      Specified by:
        `values` in interface `java.util.Map<java.lang.String,java.lang.Object>`

Copyright © 2014. All Rights Reserved.